package unibo.lam.lbedogni;

import android.app.Activity;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.TextView;

public class MyActivityLifeCycleActivity extends Activity {
	protected int counter = 0;

	/** Called when the activity is first created. */
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		Log.d("LAM2012", "ON_CREATE ");
		setContentView(R.layout.main);
		
		Button killButton = (Button) findViewById(R.id.killButton);
		killButton.setOnClickListener(new OnClickListener() {
			@Override
			public void onClick(View arg0) {
				Log.d("LAM2012", "finish()");
				finish();
			}
		});
		
		Button countButton = (Button) findViewById(R.id.countButton);
		countButton.setOnClickListener(new OnClickListener() {
			@Override
			public void onClick(View arg0) {
				Log.d("LAM2012", "counting");
				counter++;
				updateCounter();
			}
		});
		updateCounter();
	}

	@Override
	protected void onSaveInstanceState(Bundle outState) {
		super.onSaveInstanceState(outState);
		Log.d("LAM2012", "ON_SAVE_INSTANCE_STATE ");
		outState.putInt("counter", counter);
	}

	protected void onRestoreInstanceState(Bundle savedInstanceState) {
		super.onSaveInstanceState(savedInstanceState);
		Log.d("LAM2012", "ON_RESTORE_INSTANCE_STATE ");
		updateCounter();
	}

	@Override
	protected void onDestroy() {
		super.onDestroy();
		Log.d("LAM2012", "ON_DESTROY ");
	}

	@Override
	protected void onPause() {
		super.onPause();
		Log.d("LAM2012", "ON_PAUSE ");
	}

	@Override
	protected void onRestart() {
		super.onRestart();
		Log.d("LAM2012", "ON_RESTART");
	}

	@Override
	protected void onResume() {
		super.onResume();
		Log.d("LAM2012", "ON_RESUME ");
	}

	@Override
	protected void onStart() {
		super.onStart();
		Log.d("LAM2012", "ON_START ");
	}

	@Override
	protected void onStop() {
		super.onStop();
		Log.d("LAM2012", "ON_STOP ");
	}

	private void updateCounter() {
		TextView textView = (TextView) findViewById(R.id.counterValue);
		textView.setText("Actual counter: " + counter);
	}

}